Subject: How to identify 6to4 and 6in4 tunnels

From: zhuyj <[email-masked]>
Date: Mon, 27 Jan 2014 18:39:53 +0800

Hi, Maintainers

In our scene, we will create the 6in4/6to4 tunnel firstly and need to 
check the tunnel type, secondly, we will configure the ip address on it. 
So, Could we have any way to get the actual tunnel for 6in4 and 6to4 
from current linux version?

Both 6in4 and 6to4 have the same protocol “IPPROTO_IPV6” in Linux 
kernel. The only difference is the ip address on the tunnel. Can we 
distinguish them in Linux kernel?

Best Regards

Zhu Yanjun